%define majver %(echo %version | cut -d. -f1-2)
Name:          alacarte
Version:       3.54.0
Release:       1mamba
Summary:       Simple menu editor for Gnome
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/GNOME/alacarte/
Source:        https://download.gnome.org/sources/alacarte/%{majver}/alacarte-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: desktop-file-utils
BuildRequires: gnome-menus-devel >= 2.15.4.1
BuildRequires: perl-XML-Parser

%description
Alacarte is a menu editor for GNOME that lets you get things done, simply and quickly.
Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q

%build
%configure \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/alacarte.desktop
%{_metainfodir}/org.gnome.alacarte.metainfo.xml
%dir %{_datadir}/alacarte
%{_datadir}/alacarte/*
%{_datadir}/icons/*
%dir %{python3_sitelib}/Alacarte
%{python3_sitelib}/Alacarte/*
%{_mandir}/man1/alacarte.1*
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Fri Oct 04 2024 Automatic Build System <autodist@openmamba.org> 3.54.0-1mamba
- automatic version update by autodist

* Thu Mar 21 2024 Automatic Build System <autodist@openmamba.org> 3.52.0-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Automatic Build System <autodist@mambasoft.it> 3.50.0-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 3.44.3-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 3.44.2-1mamba
- automatic version update by autodist

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 3.44.1-1mamba
- automatic version update by autodist

* Thu Nov 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.42.0-1mamba
- update to 3.42.0

* Mon Mar 09 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.11.91-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 3.7.90-1mamba
- automatic version update by autodist

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Tue Nov 20 2012 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- update to 3.7.2

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 0.13.4-1mamba
- update to 0.13.4

* Wed Sep 15 2010 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic update to 0.13.2 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic update to 0.13.1 by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 0.12.4-1mamba
- automatic update by autodist

* Wed May 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.1-1mamba
- update to 0.12.1

* Mon May 14 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 0.11.3-1mamba
- package created by autospec
